Package com.destroystokyo.paper.exception

# Class ServerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ServerCommandException`, `ServerInternalException`, `ServerPluginException`

public class ServerException extends Exception
Wrapper exception for all exceptions that are thrown by the server.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ServerException(String message)`
``
`ServerException(String message, Throwable cause)`
`protected`
`ServerException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)`
``
`ServerException(Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerException

public ServerException(String message)

### ServerException

public ServerException(String message, Throwable cause)

### ServerException

public ServerException(Throwable cause)

### ServerException

protected ServerException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)